Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class ClassBridgeMapping

    java.lang.Object
      org.hibernate.search.cfg.ClassBridgeMapping

    public class ClassBridgeMapping

extends java.lang.Object

Constructor Summary
`ClassBridgeMapping(SearchMapping mapping, EntityDescriptor entity, java.lang.Class<?> impl, EntityMapping entityMapping)`

Method Summary
`ClassBridgeMapping` | `analyzer(java.lang.Class<?> analyzerClass)`
`ClassBridgeMapping` | `analyzer(java.lang.String analyzerDef)`
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`ClassBridgeMapping` | `boost(float boost)`
`ClassBridgeMapping` | `classBridge(java.lang.Class<?> impl)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FullTextFilterDefMapping` | `fullTextFilterDef(java.lang.String name, java.lang.Class<?> impl)`
`ClassBridgeMapping` | `index(Index index)`
`IndexedMapping` | `indexed()`
`ClassBridgeMapping` | `name(java.lang.String name)`
`ClassBridgeMapping` | `param(java.lang.String name, java.lang.String value)`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`
`ProvidedIdMapping` | `providedId()`
`ClassBridgeMapping` | `store(Store store)`
`ClassBridgeMapping` | `termVector(TermVector termVector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassBridgeMapping

    public ClassBridgeMapping(SearchMapping mapping,
                              EntityDescriptor entity,
                              java.lang.Class<?> impl,
                              EntityMapping entityMapping)

Method Detail

### name

    public ClassBridgeMapping name(java.lang.String name)

### store

    public ClassBridgeMapping store(Store store)

### index

    public ClassBridgeMapping index(Index index)

### termVector

    public ClassBridgeMapping termVector(TermVector termVector)

### boost

    public ClassBridgeMapping boost(float boost)

### analyzer

    public ClassBridgeMapping analyzer(java.lang.Class<?> analyzerClass)

### analyzer

    public ClassBridgeMapping analyzer(java.lang.String analyzerDef)

### param

    public ClassBridgeMapping param(java.lang.String name,
                                    java.lang.String value)

### classBridge

    public ClassBridgeMapping classBridge(java.lang.Class<?> impl)

### fullTextFilterDef

    public FullTextFilterDefMapping fullTextFilterDef(java.lang.String name,
                                                      java.lang.Class<?> impl)

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

### providedId

    public ProvidedIdMapping providedId()

### indexed

    public IndexedMapping indexed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.